#ifndef LOADMODEL_H
#define LOADMODEL_H


#include <QtQuick/QQuickItem>
#include <QtGui/QOpenGLShaderProgram>
#include <QOpenGLFunctions>




class LoadModel :protected QOpenGLFunctions

{
public:
    LoadModel();   
    ~LoadModel();

    void Init(QString& strFilename);
    void draw(QOpenGLShaderProgram *program,int vertexAttr,int normalAttr,int texAttr);

private:
    QVector<QVector3D>testv;
    QVector<QVector3D>testn;
    QVector<QVector2D>testt;
};
#endif // LOADMODEL_H


